<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xs="http://www.w3.org/2001/XMLSchema">

	<xsl:param name="type" />

	<xsl:output method="text" indent="no" />

	<xsl:strip-space elements="*"/>
	
		
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="xs:simpleType/xs:annotation">
		<xsl:if test="count(./xs:documentation) > 0 and $type = 'tooltips'">
			<xsl:variable name="key"><xsl:value-of select="../@name" />
			</xsl:variable> 
			
			<xsl:variable name="helpMessage">
				<xsl:for-each select="xs:documentation">
					<xsl:value-of select="."/>
						<xsl:if test="count(following-sibling::*) != 0 ">
							<xsl:text>&lt;br/&gt;</xsl:text>
						</xsl:if>
				</xsl:for-each>
			</xsl:variable>
	
			<xsl:value-of select="$key"/> = <xsl:value-of select="$helpMessage"/>
			<xsl:text>&#10;</xsl:text>
		</xsl:if>
		
	</xsl:template>

	<xsl:template match="xs:complexType/xs:annotation/xs:documentation">
			<xsl:if test="count(./xs:documentation) > 0 and $type = 'tooltips'">
			<xsl:variable name="key"><xsl:value-of select="../@name" />
			</xsl:variable> 
			
			<xsl:variable name="helpMessage">
				<xsl:for-each select="xs:documentation">
					<xsl:value-of select="."/>
						<xsl:if test="count(following-sibling::*) != 0 ">
							<xsl:text>&lt;br/&gt;</xsl:text>
						</xsl:if>
				</xsl:for-each>
			</xsl:variable>
	
			<xsl:value-of select="$key"/> = <xsl:value-of select="$helpMessage"/>
			<xsl:text>&#10;</xsl:text>
		</xsl:if>
	</xsl:template>

<xsl:template match="text()"/>
	
</xsl:stylesheet>
